
/* Chrysalide - Outil d'analyse de fichiers binaires
 * instruction-int.h - prototypes pour la définition générique interne des processeurs ARM
 *
 * Copyright (C) 2014 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  OpenIDA is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  OpenIDA is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _ARCH_ARM_PROCESSOR_INT_H
#define _ARCH_ARM_PROCESSOR_INT_H


#include "processor.h"
#include "../processor-int.h"



/* Définition du processeur ARM (instance) */
struct _GArmProcessor
{
    GArchProcessor parent;                  /* Instance parente            */

};


/* Définition du processeur ARM (classe) */
struct _GArmProcessorClass
{
    GArchProcessorClass parent;             /* Classe parente              */

};



#endif  /* _ARCH_ARM_PROCESSOR_INT_H */
