
/* Chrysalide - Outil d'analyse de fichiers binaires
 * loop.h - prototypes pour la détection des boucles dans du code machine
 *
 * Copyright (C) 2013 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  OpenIDA is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  OpenIDA is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _ANALYSIS_DISASS_LOOP_H
#define _ANALYSIS_DISASS_LOOP_H


#include "dragon.h"



/* Détecte les boucles dans du code machine. */
void detect_loops_in_code(dragon_knight *);



#endif  /* _ANALYSIS_DISASS_LOOP_H */
